function droneWeaponSpawn(weapon)
	droneSpawn(weapon,"Drone","GTDr Amazon","Subach HL-7 Drone","Tornado",nil)
end

function lokiWeaponSpawn(weapon)
	droneSpawn(weapon,"Drone","GTF Loki","Subach HL-7 Drone","Cyclops",nil)
end

function spawnWatchdog(weapon)
	droneSpawn(weapon,"Turret","GTSG Watchdog",nil,nil,nil)
end

function spawnWatchdogJump(weapon)
	if weapon.isArmed then
		droneSpawn(weapon,"Turret","GTSG Watchdog",nil,nil,nil)
	end
end

function damageDrone(ship)
	ship.HitpointsLeft = ship.HitpointsLeft - 5
	if ship.HitpointsLeft <= 0 then
		ship.kill(ship)
	end
end